class Mod_Discord < Vrobot4::Module::Module
   def self.type() "Discord" end
   Vrobot4::Module.add_module_type self, server: "Discord"

   def initialize info
      super
      register :c_roles, "roles", "Gets a list of roles on your user."
      register :c_purge, "purge", "Prunes messages from a channel.", roles: "o"
   end

   def c_roles m, argv
      roles = []
      m.user.real.roles.each do |role| roles << role.name + ?: + role.id.to_s end
      m.reply roles.join(?\n)
   end

   def c_purge m, argv
      n = argv.to_i
      n = 2   if n < 2
      n = 100 if n > 100
      m.chan.real.prune n
   end
end

## EOF
